Name: opensm
Version: 3.1.8
Release: 1%{?dist}
Summary: OpenIB InfiniBand Subnet Manager and management utilities
Group: System Environment/Daemons
License: GPL/BSD
Url: http://www.openfabrics.org/
Source0: http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
Source1: opensm.conf
Source2: opensm.logrotate
Source3: opensm.initd
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibmad-devel >= 1.1.5, libtool
Requires: %{name}-libs = %{version}-%{release}, logrotate
ExclusiveArch: i386 ia64 x86_64 ppc64 ppc

%description
OpenSM is the OpenIB project's Subnet Manager for Infiniband networks.
The subnet manager is run as a system daemon on one of the machines in
the infiniband fabric to manage the fabric's routing state.  This package
also contains various tools for diagnosing and testing Infiniband networks
that can be used from any machine and do not need to be run on a machine
running the opensm daemon.

%package libs
Summary: Libraries used by opensm and included utilities
Group: System Environment/Libraries

%description libs
Shared libraries for Infiniband user space access

%package devel
Summary: Development files for the opensm-libs libraries
Group: Development/System
Requires: %{name}-libs = %{version}-%{release}

%description devel
Development environment for the opensm libraries

%package static
Summary: Static version of the opensm libraries
Group: Development/System
Requires: %{name}-devel = %{version}-%{release}
%description static
Static version of opensm libraries

%prep
%setup -q

%build
%configure --with-opensm-conf-sub-dir=ofed
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# the install code puts in an init script that we don't want...kill it
rm -fr $RPM_BUILD_ROOT/etc/init.d
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/ofed/opensm.conf
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/opensm
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/opensmd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add opensmd
else
	/sbin/service opensmd condrestart
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service opensmd stop
	/sbin/chkconfig --del opensmd
	rm -f /var/cache/opensm/*
fi

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_sbindir}/*
%{_initrddir}/opensmd
%{_mandir}/man8/*
%{_sysconfdir}/logrotate.d/opensm
%config(noreplace) %{_sysconfdir}/ofed/opensm.conf
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root,-)
%{_includedir}/infiniband

%files static
%defattr(-,root,root,-)
%{_libdir}/lib*.a

%changelog
* Sun May 25 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 3.1.8-1
- Resurrecting old opensm package
- Related: bz428197

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Add an ExclusiveArch tag to match kernels that support Infiniband
- Add the docs to the RPM

* Mon Nov 14 2005 Doug Ledford <dledford@redhat.com>
- Split the libs out from the programs in case anyone needs 32bit libs
  on 64bit arches
- Add an init script to start the subnet manager, defaults to off, must
  be enabled on at least one machine in the subnet.

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import
